Package org.eclipse.net4j.util.security

# Enum Class CredentialsUpdateOperation

java.lang.Object
java.lang.Enum<CredentialsUpdateOperation>
org.eclipse.net4j.util.security.CredentialsUpdateOperation

All Implemented Interfaces:
  `Serializable`, `Comparable<CredentialsUpdateOperation>`, `java.lang.constant.Constable`

public enum CredentialsUpdateOperation extends Enum<CredentialsUpdateOperation>

Since:
  3.4
Author:
  Christian W. Damus (CEA LIST)

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CHANGE_PASSWORD`
`RESET_PASSWORD`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static CredentialsUpdateOperation`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CredentialsUpdateOperation[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CHANGE_PASSWORD

public static final CredentialsUpdateOperation CHANGE_PASSWORD

### RESET_PASSWORD

public static final CredentialsUpdateOperation RESET_PASSWORD

## Method Details

### values

public static CredentialsUpdateOperation[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CredentialsUpdateOperation valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<CredentialsUpdateOperation>`